// coverdlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCoverDlg dialog
#include "resource.h"

#include "dibapi.h"

class CContactDlg : public CDialog
{
// Construction
public:
    CContactDlg(CWnd* pParent = NULL);    // standard constructor
    ~CContactDlg();

//    virtual BOOL PreTranslateMessage(MSG *pMsg);

// Dialog Data
    //{{AFX_DATA(CContactDlg)
    enum { IDD = IDD_CONTACTDLG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA
    CFont m_font, m_font2;
    CBitmap *m_pBitmap;

/*
private:
    HDIB m_hDIB;
    CPalette* m_palDIB;                                          
    LPLOGPALETTE m_lpLogPal; 
    int m_nNumEntries;
    CRect m_rcDIB;

    int m_nChoice;                                             
    
    BOOL m_bRedEnd, m_bGreenEnd, m_bBlueEnd;
    
private:
    BOOL OpenDIB(const char* pszPathName);
    void InitDIBData();
    LRESULT OnDoRealize(WPARAM wParam, LPARAM);
    
    UINT m_uTimer;
    
public:    
    void EndThisDialog();
*/
// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	// Generated message map functions
    //{{AFX_MSG(CContactDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();         
/*	
	afx_msg void OnGettingStarted();
	afx_msg void OnFeatures();
	afx_msg void OnBasicLessons();
	afx_msg void OnAdvancedLessons();
	afx_msg void OnExit();              
	
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
*/
	DECLARE_MESSAGE_MAP()
	
};
